/* -*- Mode: C; c-basic-offset: 2; indent-tabs-mode: nil -*-
 *
 * Pigment Render OpenGL 1.2 plugin
 *
 * Copyright © 2006 Fluendo Embedded S.L. <www.fluendo.com>
 * All rights reserved.
 *
 * This file is available under one of two license agreements.
 *
 * This file is licensed under the GPL version 2. See "LICENSE.GPL" in
 * the root of this distribution including a special exception to use
 * Pigment with Fluendo's plugins.
 *
 * The GPL part of Pigment is also available under a commercial licensing
 * agreement from Fluendo. See "LICENSE.Pigment" in the root directory
 * of this distribution package for details on that license.
 *
 * Author: Loïc Molinari <loic@fluendo.com>
 */

#include "pgmrendergl1.h"
#include "pgmrendergl1window.h"
#include "pgmrendergl1surface.h"
#include "pgmrendergl1font.h"

PGM_RENDER_PLUGIN_DEFINE (
  (PgmRenderPluginCreateWindowFunc) pgm_render_gl1_window_new,
  (PgmRenderPluginCreateSurfaceFunc) pgm_render_gl1_surface_new,
  (PgmRenderPluginCreateFontFunc) pgm_render_gl1_font_new,
  "opengl1", "A OpenGL 1.2 based renderer", "GPL/Proprietary",
  "https://core.fluendo.com/pigment/svn/trunk"
)
